This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 122261 - 2.6.5-1.327 oops / lockup
2.6.5-1.327 oops / lockup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 11:20 EDT by djh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-12 02:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description djh 2004-05-02 11:20:26 EDT
12:43:57 EXT3-fs warning (device hda7): ext3_unlink: Deleting
nonexistent file (328544), 0
13:24:42 EXT3-fs warning (device hda7): ext3_unlink: Deleting
nonexistent file (328544), 0
14:03:04 swap_dup: Bad swap file entry d021df46
14:03:04 swap_free: Bad swap file entry d021df46
14:03:04 swap_dup: Bad swap file entry d021df46
14:03:04 swap_free: Bad swap file entry d021df46
14:03:04 swap_dup: Bad swap file entry d021df46
14:03:04 swap_free: Bad swap file entry d021df46
14:03:04 swap_dup: Bad swap file entry d021df46
14:03:04 swap_free: Bad swap file entry d021df46
14:03:04 swap_free: Bad swap file entry d021df46
16:21:55 EXT3-fs warning (device hda7): ext3_unlink: Deleting
nonexistent file (294916), 0
22:39:31 kjournald starting.  Commit interval 5 seconds
22:39:31 EXT3 FS on hda10, internal journal
22:39:31 EXT3-fs: mounted filesystem with ordered data mode.
22:43:02 Unable to handle kernel NULL pointer dereference at virtual
address 00000b27
22:43:02  printing eip:
22:43:02 02150c1d
22:43:02 *pde = 00000000
22:43:02 Oops: 0000 [#1]
22:43:02 CPU:    0
22:43:03 EIP:    0060:[<02150c1d>]    Not tainted
22:43:03 EFLAGS: 00010206   (2.6.5-1.327)
22:43:03 EIP is at try_to_unmap_one+0x56/0x20c
22:43:03 eax: 032f1a60   ebx: 001ce76f   ecx: 198d3710   edx: 0000001d
22:43:03 esi: 00000adb   edi: 198d3710   ebp: 03331d40   esp: 035d4ce4
22:43:03 ds: 007b   es: 007b   ss: 0068
22:43:03 Process kswapd0 (pid: 8, threadinfo=035d4000 task=035b0cd0)
22:43:03 Stack: 03331d40 03331d40 03331d40 00000040 00000000 02330fa0
02150e16 000220ce
22:43:03        00000000 000220ce 03331d40 00000040 00000000 02330fa0
02146490 00000001
22:43:03        00000000 035d4e80 000000d0 035d4de4 03104cb0 03114fd0
00000000 00000000
22:43:03 Call Trace:
22:43:03  [<02150e16>] try_to_unmap+0x43/0x15b
22:43:03  [<02146490>] shrink_list+0x1ce/0x5d3
22:43:03  [<02145628>] __pagevec_release+0x15/0x1d
22:43:03  [<02146b15>] shrink_cache+0x280/0x557
22:43:03  [<02146140>] shrink_slab+0x70/0x150
22:43:03  [<02147681>] shrink_zone+0x50/0x86
22:43:03  [<021479a4>] balance_pgdat+0x131/0x216
22:43:03  [<02147b77>] kswapd+0xee/0xf0
22:43:03  [<0211bc33>] autoremove_wake_function+0x0/0x28
22:43:03  [<0211bc33>] autoremove_wake_function+0x0/0x28
22:43:03  [<02147a89>] kswapd+0x0/0xf0
22:43:03  [<021041d9>] kernel_thread_helper+0x5/0xb
22:43:03 Code: 81 7e 4c 3c 4b 24 1d 74 1b 8d 46 4c 50 68 49 01 00 00 68 24
22:43:03  <6>note: kswapd0[8] exited with preempt_count 1


I noticed the oops, started to shut down, then the system locked hard.
hda7 is the FC2t3 root partition - freshly installed a few days ago.

I've seen similar ext3 warnings on previous FC2test kernels. (see bug
#116680)
Comment 1 Alan Cox 2004-05-02 17:38:50 EDT
Does this system pass memtest86 ?
Comment 2 djh 2004-05-05 02:39:00 EDT
It passes memtest86 - I ran it overnight.  This machine is one of my
main systems, so it regularly gets a workout (it compiles Thunderbird
almost daily).  While I can't rule it out, I'm hesitant to believe
it's a hardware problem.
Comment 3 djh 2004-06-12 02:51:21 EDT
After 3 weeks of hammering on 2.6.6-1.383, I haven't been able to
reproduce it.  I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.